geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matt Hogstrom <m...@hogstrom.org>
Subject Re: Version numbers for plugins of external apps
Date Tue, 04 Mar 2008 15:12:23 GMT
I prefer A.  Although I'm all for making things easier for a user I  
think they should be choosing a plugin after doing some research and I  
would hope that the documentation that led them to the plugin would  
have outline the requirements.  Also, when we ge to the point where a  
plugin might actually tolerate more than one release we won't be  
inclined to release new plugins with a version change where there is  
no code change.


On Mar 1, 2008, at 8:18 PM, David Jencks wrote:

>
>
> A.  Don't encode anything, just have the plugin version be (3).  So,  
> roller-jetty-1.0 would happen to be for roller 4.0 and geronimo 2.1,  
> and you'd have to look inside to find that out.  I'd suggest in this  
> case that changes in roller or geronimo versions would bump the  
> major version x or minor version y whereas releasing an enhanced  
> plugin for the same app and geronimo versions would bump z.


Mime
View raw message